<template>
    <section>
        <div class="container px-5 py-12 mx-auto">
            <div class="text-left pb-12">
                <h2 class="text-4xl text-smalt-blue-700">All events made by Malters</h2>
            </div>
            <table class="table-auto hidden md:block">
                <thead>
                    <tr>
                        <th>Title</th>
                        <th>Location</th>
                        <th>Date</th>
                        <th>Speaker(s)</th>
                    </tr>
                </thead>
                <tbody>
                    <tr v-for="conference in $static.records.edges" :key="conference.node.id">
                        <td class="title">
                            <g-link :to="conference.node.url" v-if="conference.node.url">
                                {{ conference.node.event }} - {{ conference.node.title }}
                            </g-link>
                            <span v-else>{{ conference.node.event }} - {{ conference.node.title }}</span>
                        </td>
                        <td>
                            <div class="inline-flex items-baseline">
                                <joy-icon name="location" class="mr-1"></joy-icon>
                                <span>{{ conference.node.location }}</span>
                            </div>
                        </td>
                        <td>
                            <div class="inline-flex items-baseline">
                                <joy-icon name="calendar" class="mr-1"></joy-icon>
                                <span class="whitespace-nowrap">{{ formatDate(conference.node.date) }}</span>
                            </div>
                        </td>
                        <td>{{ conference.node.speakers }}</td>
                    </tr>
                </tbody>
            </table>
            <div class="flex flex-col gap-4 md:hidden">
                <div v-for="conference in $static.records.edges" :key="conference.node.id" class="shadow-md rounded-md p-4">
                    <div class="title">
                        <g-link :to="conference.node.url" v-if="conference.node.url">
                            {{ conference.node.event }} - {{ conference.node.title }}
                        </g-link>
                        <span v-else>{{ conference.node.event }} - {{ conference.node.title }}</span>
                    </div>
                    <div>by {{ conference.node.speakers }}</div>
                    <div class="mt-4 text-gray-500">
                        <span class="mr-4 inline-flex items-baseline">
                            <joy-icon name="location" class="mr-1"></joy-icon>
                            <span>{{ conference.node.location }}</span>
                        </span>
                        <span class="inline-flex items-baseline">
                            <joy-icon name="calendar" class="mr-1"></joy-icon>
                            <span>{{ formatDate(conference.node.date) }}</span>
                        </span>
                    </div>
                </div>
            </div>
        </div>
    </section>
</template>

<static-query>
    query {
        records: allEvents {
            edges {
                node {
                    title
                    url: link
                    date
                    speakers
                    location
                    event
                }
            }
        }
    }
</static-query>

<script>
    import { format } from 'date-fns';

    export default {
        methods: {
            formatDate(date) {
                return format(new Date(date), 'd MMMM yyyy');
            },
        },
    };
</script>
<style lang="scss" scoped>
    table {
        thead {
            th {
                @apply font-medium;
                @apply text-smalt-blue-400;
                line-height: 40px;
                text-align: left;
            }
        }

        tr {
            border-bottom: 1px solid #e0e0e0;
            line-height: 40px;

            &:nth-child(even) {
                background-color: #f1f1f1;
            }
        }

        td {
            padding: 0.5rem;
            text-align: left;
        }
    }

    .title {
        @apply font-semibold;
        @apply text-smalt-blue-700;
    }

    .date {
    }
</style>
